Name:           bilbo
Version:        1.0
Release:        1%{?dist}
Summary:        Blogging client, focused on simplicity and usability

Group:          Applications/Internet
License:        GPLv3+ and LGPLv2+
URL:            http://bilbo.gnufolks.org/
# Real URL
# http://www.ohloh.net/p/bilbo/download?filename=bilbo-1.0-src.tar.gz
Source0:        http://d10xg45o6p6dbl.cloudfront.net/projects/b/bilbo/bilbo-1.0-src.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs4-devel
BuildRequires:  kdepimlibs-devel
BuildRequires:  gettext
BuildRequires:  automoc
BuildRequires:  phonon-devel

%description
Blogging application for Blogger1.0, MetaWeblog, MovableType, and Google
GData with WYSIWYG and HTML editing available.


%prep
%setup -q -n %{name}

%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd
make VERBOSE=1 %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} PREFIX=%{_prefix} -C %{_target_platform}
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/bilbo.desktop
%find_lang %{name}
# No headers installed
rm -vf %{buildroot}%{_libdir}/libbilbokblog.so


%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG bilbo/COPYING.GPL3 bilbokblog/COPYING.LGPL README
%{_kde4_bindir}/bilbo
%{_kde4_libdir}/libbilbokblog.so.4
%{_kde4_libdir}/libbilbokblog.so.4.2.2
%{_kde4_datadir}/applications/kde4/bilbo.desktop
%{_kde4_configdir}.kcfg/bilbo.kcfg
%{_kde4_iconsdir}/hicolor/*/*/*.png
%{_kde4_datadir}/kde4/apps/bilbo/


%changelog
* Sun Sep 06 2009 Ben Boeckel <MathStuf@gmail.com> 1.0-1
- Update to 1.0

* Thu Aug 27 2009 Ben Boeckel <MathStuf@gmail.com> 0.9-3
- Add icon cache snippets
- Backport licensing fixes
- Backport patch to fix timezone mismatch with server

* Mon Jul 27 2009 Ben Boeckel <MathStuf@gmail.com> 0.9-2
- Backport patch for local deletion

* Sun Jul 26 2009 Ben Boeckel <MathStuf@gmail.com> 0.9-1
- Initial version
